import { createSlice } from "@reduxjs/toolkit";
import theme from "@/utils/theme";

const themeSlice = createSlice({
  name: "theme",
  initialState: theme.lightTheme,
  reducers: {
    changetheme: (state,{payload}) => {
      return theme[payload]
    },
  },
});

export const { changetheme } = themeSlice.actions;

export default themeSlice.reducer;
